Bug 111079 - unable to load tag handler class error
unable to load tag handler class error
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSP Parser
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Petr Pisl
issues@javaee
:
Depends on: 118187
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 10:45 UTC by Jindrich Sedek
Modified: 2007-10-22 15:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
error message screenshot (99.07 KB, image/png)
2007-07-26 10:46 UTC, Jindrich Sedek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2007-07-26 10:45:11 UTC
Create new WebApplication
Create new tag library
Create new tag file and add this tagfile into a library with name "tagName"
import tag library into index.jsp page:
<%@ taglib prefix="dd" uri="/WEB-INF/tlds/library.tld" %>

use tag from library in index.jsp page:
<dd:tagName />

an error message is highlighted, but project is correct - this error message should be removed
Comment 1 Jindrich Sedek 2007-07-26 10:46:00 UTC
Created attachment 45759 [details]
error message screenshot
Comment 2 Marek Fukala 2007-07-27 18:14:03 UTC
This is an issue of the jsp parser, reassigning to Petr Pisl.
Comment 3 Jindrich Sedek 2007-09-12 12:22:36 UTC
it's quite visible issue, increasing priority
Comment 4 Petr Pisl 2007-09-12 17:54:02 UTC
This is problem of jsp parser. I need to discuss this with someone from jasper.
Comment 5 Petr Pisl 2007-10-09 00:09:47 UTC
I have fix for tag files. Unfortunately there is the same issue for tag handlers. 
Comment 6 Petr Pisl 2007-10-09 08:42:59 UTC
It seems that the root problem for tag handlers is the issue #118187. I will commit my fix when the issue #118187 will
be done to be sure that it works correctly.
Comment 7 Petr Pisl 2007-10-12 12:14:33 UTC
This fix includes also new version of jsp parser, glassfish-logging and servletjspapi from glassfish V2 B58.

The tag file infos are not put between tag infos anymore. When a client want to know all tag infos from a tag library,
then it has to combine tag infos from tag library and tag infos from tag files.

Checking in jspparser/build.xml;
/cvs/web/jspparser/build.xml,v  <--  build.xml
new revision: 1.47; previous revision: 1.46
done
Checking in jspsyntax/src/org/netbeans/modules/web/core/syntax/JspSyntaxSupport.java;
/cvs/web/jspsyntax/src/org/netbeans/modules/web/core/syntax/JspSyntaxSupport.java,v  <--  JspSyntaxSupport.java
new revision: 1.95; previous revision: 1.94
done
Checking in jspsyntax/src/org/netbeans/modules/web/core/syntax/JSPHyperlinkProvider.java;
/cvs/web/jspsyntax/src/org/netbeans/modules/web/core/syntax/JSPHyperlinkProvider.java,v  <--  JSPHyperlinkProvider.java
new revision: 1.19; previous revision: 1.18
done
Checking in jspparser/extsrc/org/netbeans/modules/web/jspparser_ext/WebAppParseSupport.java;
/cvs/web/jspparser/extsrc/org/netbeans/modules/web/jspparser_ext/WebAppParseSupport.java,v  <--  WebAppParseSupport.java
new revision: 1.10; previous revision: 1.9
done
Checking in
jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisTagLibFromTagFiles.pass;
/cvs/web/jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisTagLibFromTagFiles.pass,v
 <--  testAnalysisTagLibFromTagFiles.pass
new revision: 1.7; previous revision: 1.6
done
Checking in jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisFaulty.pass;
/cvs/web/jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisFaulty.pass,v
 <--  testAnalysisFaulty.pass
new revision: 1.8; previous revision: 1.7
done
Checking in jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisMain.pass;
/cvs/web/jspparser/test/unit/src/org/netbeans/modules/web/jspparser/data/goldenfiles/ParseTest/testAnalysisMain.pass,v 
<--  testAnalysisMain.pass
new revision: 1.9; previous revision: 1.8
done
Checking in jspparser/extsrc/org/apache/jasper/compiler/GetParseData.java;
/cvs/web/jspparser/extsrc/org/apache/jasper/compiler/GetParseData.java,v  <--  GetParseData.java
new revision: 1.9; previous revision: 1.8
done
Checking in libs/servletjspapi/external/servlet2.5-jsp2.1-api.jar;
/cvs/web/libs/servletjspapi/external/servlet2.5-jsp2.1-api.jar,v  <--  servlet2.5-jsp2.1-api.jar
new revision: 1.2; previous revision: 1.1
done
Checking in libs/glassfish_logging/external/glassfish-logging.jar;
/cvs/web/libs/glassfish_logging/external/glassfish-logging.jar,v  <--  glassfish-logging.jar
new revision: 1.2; previous revision: 1.1
done
Checking in jspparser/external/glassfish-jspparser.jar;
/cvs/web/jspparser/external/glassfish-jspparser.jar,v  <--  glassfish-jspparser.jar
new revision: 1.2; previous revision: 1.1
done
Comment 8 Jindrich Sedek 2007-10-22 15:43:09 UTC
verified.
NetBeans IDE Dev (Build 200710220000)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo